'use strict';

const logger = require('@finect/logger');

class Master {
	constructor(cluster) {
		this.cluster = cluster;
	}

	createWorker() {
		var worker = this.cluster.fork();
		logger.info("worker " + worker.id + " start");
	}

	spawnWorker(waitInMillis) {
		var self = this;
		setTimeout(() => { self.createWorker(); }, waitInMillis);		
	}
}

module.exports = Master;
