'use strict';

const logger = require('@finect/logger');
const app = require('express')();
const bodyParser = require('body-parser');

class Workers {
    constructor(config) {
        this.config = config;
    }

    run() {   
        app.use(bodyParser.json({ limit: '50mb', type: 'application/json', strict: 'true' }));
        const port = process.env.PORT || this.config.port || 8080;

        app.use(this.config.basePath, this.config.routes);
        app.listen(port);
    }
}

if (module.parent) {
    module.exports = Workers;
} else {
    new Workers();
    logger.info('debugger');
}    




