'use strict';

class Events {
    static getTests(contentType, status, raw)
    {
        return {
            listen: 'test',
            script: {
                type: 'text/javascript',
                exec: 
`tests['The Content-Type is `+ contentType +`'] = 
    postman.getResponseHeader('Content-Type') && 
    postman.getResponseHeader('Content-Type').includes('`+contentType +`');

tests['Status code is `+ status +`'] = pm.response.code === `+ status +`;

`+ (status === 204 ? 'tests["Body is empty"] = (responseBody===null || responseBody.length===0);' : '') +`

` 
+ (raw ? raw : '')
            }
        }
    }
}

module.exports = Events;